
.checkbox
	$this: &
	overflow: hidden
	font-size: 20px
	line-height: lh(27, 20)
	letter-spacing: -0.02em
	cursor: pointer
	user-select: none

	& + .checkbox
		margin-top: 21px

	input
		+position(absolute, -20px -20px null null)

		// &:checked ~ #{$this}-content
		&[checked] ~ #{$this}-content
			#{$this}-thumb
				background: #DAE3FE
				border-color: #DAE3FE
				&:before
					opacity: 1

	&-thumb
		size: 26px
		border-radius: 50%
		border: 1px solid #D0D7ED
		+flex(center, center)
		transition: all $transition
		margin-right: 25px

		&:before
			+pseudo
			size: 8px
			border-radius: 50%
			display: block
			background: linear-gradient(144.41deg, #4D50FC 7.33%, #EB3CD9 93.28%)
			box-shadow: 0px 14px 14px rgba(192, 62, 220, 0.15)
			transition: opacity $transition
			opacity: 0

	&-content
		+flex(flex-start)
		text-align: left


.input
	position: relative
	width: 100%

	input, textarea
		+input_reset
		height: 55px
		border: 1px solid #DFDFDF
		border-radius: 38px
		background: #F9F9FE
		text-align: center
		font-size: 15px
		font-weight: semibold
		display: block
		width: 100%

	textarea
		height: 135px
		border-radius: 26px
		padding-top: 15px
		padding-bottom: 15px

	&-icon
		+position(absolute, 50% null null 23px)
		transform: translate(0, -50%)

	@media (max-width: 768px)
		input
			height: 52px

		textarea
			height: 120px


.label
	font-size: 15px
	font-weight: semibold


